Patch Card Field
curl --request PATCH \
--url https://api.example.com/cards/{card_id}/fields/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"value": "<string>",
"icon": "<string>",
"position": 123
}
'import requests
url = "https://api.example.com/cards/{card_id}/fields/{field_id}"
payload = {
"label": "<string>",
"value": "<string>",
"icon": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', value: '<string>', icon: '<string>', position: 123})
};
fetch('https://api.example.com/cards/{card_id}/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AnyCard
Patch Card Field
PATCH
/
cards
/
{card_id}
/
fields
/
{field_id}
Patch Card Field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
phone, email, url, address, social, custom, social_x, social_linkedin, social_instagram, social_threads, social_facebook, social_youtube, social_tiktok, social_twitch, social_snapchat, social_yelp, social_reddit, social_bluesky, messaging_whatsapp, messaging_signal, messaging_telegram, messaging_discord, messaging_skype, messaging_imessage, business_github, business_calendly, business_company_url, payment_paypal, payment_venmo, payment_cashapp Available options:
public, on_share_back Response
Successful Response
The response is of type Response Patch Card Field Route Cards Card Id Fields Field Id Patch · object.
⌘I